changeset 308:59543eaa818f

Merge.
author Edho Arief <edho@myconan.net>
date Mon, 20 Feb 2012 13:15:35 +0000
parents 73981a7539dd (current diff) 81bfcb3015bd (diff)
children 592605e4d3bb
files rc/bash
diffstat 2 files changed, 5 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/bin/moefetch	Mon Feb 20 13:15:02 2012 +0000
+++ b/bin/moefetch	Mon Feb 20 13:15:35 2012 +0000
@@ -34,6 +34,10 @@
 
 # not user modifiable from here
 
+# stop on any error
+set -e
+# ensures all variables initialized
+set -u
 useragent="Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0) Gecko/20100101 Firefox/10.0"
 
 # useless welcome message. Also version
--- a/rc/bash	Mon Feb 20 13:15:02 2012 +0000
+++ b/rc/bash	Mon Feb 20 13:15:35 2012 +0000
@@ -26,6 +26,7 @@
 export LANG="en_US.UTF-8"
 export CLICOLOR=
 export LSCOLORS=ExGxFxdxCxegedabagExEx
+export LS_COLORS=
 
 alias ls="ls -F"
 alias rm="rm -i"